Skip to main content
PATCH
Update an object

Authorizations

Authorization
string
header
required

Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.

Path Parameters

imei
string
required
Pattern: ^[A-Za-z0-9_-]{1,20}$

Body

application/json
protocol
string
ip
string
port
integer
active

Canonical JSON Boolean. Case-insensitive true/false strings are accepted for backward compatibility.

active_dt
string<date>
dt_server
string

Current object server timestamp. UTC YYYY-MM-DD HH:MM:SS or RFC3339 with an explicit timezone; stored in UTC. Does not edit history rows.

dt_tracker
string

Current object tracker timestamp. UTC YYYY-MM-DD HH:MM:SS or RFC3339 with an explicit timezone; stored in UTC. Does not edit history rows.

name
string
installation_dt
string<date>
icon
string
map_arrows
string
map_icon
string
tail_color
string
tail_points
integer
device
string
sim_number
string
model
string
vin
string
plate_number
string
odometer_type
string
engine_hours_type
string
odometer
number
engine_hours
number
fcr
number
time_adj
number
accuracy
number

Response

Successful response

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object